Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Dynamischer Block

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Dynamischer Block (376 mal gelesen)
Nano
Mitglied



Sehen Sie sich das Profil von Nano an!   Senden Sie eine Private Message an Nano  Schreiben Sie einen Gästebucheintrag für Nano

Beiträge: 179
Registriert: 25.10.2004

erstellt am: 08. Mai. 2009 19:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Dyn.txt

 
Hallo

Ist es möglich in einer Zeichnung (Zeichnung in der Beilge) die ein
dynamicher Block (Namen: L-K-ZUL) mehrmals vorhanden ist,
der ausgewählten Dyn. Block die Layer zu ändern?

Beilage: Dyn.txt >> Dyn.dwg

Gruss Nano

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Nano
Mitglied



Sehen Sie sich das Profil von Nano an!   Senden Sie eine Private Message an Nano  Schreiben Sie einen Gästebucheintrag für Nano

Beiträge: 179
Registriert: 25.10.2004

erstellt am: 09. Mai. 2009 09:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ist es möglich in einer Zeichnung (Zeichnung in der Beilge) die ein
dynamicher Block (Namen: L-K-ZUL) mehrmals vorhanden ist,
der ausgewählten Dyn. Block die Layer zu ändern?

Gruss Nano

Lisp v. Forum: änder alle Blöcke.

(DEFUN C:AL  (/ Jblock blk blkdaten)
(setq Jblock (tblnext "BLOCK" t))
(while Jblock (setq blk (tblobjname "BLOCK" (cdr (assoc 2 Jblock))))
(while (setq blk (entnext blk))
(if (= (cdr (assoc 8 (entget blk))) "L_ZUL")
(entmod (AL1 (entget blk)))
)
)
(setq Jblock (tblnext "BLOCK"))
)
(command "_.regen")
)

(DEFUN AL1  (blkdaten / liste)
(setq liste (subst (cons 8 "L_AUL") (assoc 8 blkdaten) blkdaten))
(if (assoc 62 liste)
(subst (cons 62 256) (assoc 62 liste) liste)
(append liste (list (cons 62 256))))
)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz